# Visualization
TKV2d
Select2D

# Select2D_SensitiveSegment Class Reference

A framework to define sensitive areas along a line segment.
.

`#include <Select2D_SensitiveSegment.hxx>`

Inheritance diagram for Select2D_SensitiveSegment:

[legend]

## Public Member Functions

Standard_EXPORT | Select2D_SensitiveSegment (const Handle(SelectBasics_EntityOwner)&OwnerId, const gp_Pnt2d &FirstP, const gp_Pnt2d &LastP, const Standard_Integer MaxRect=3)
| Constructs the sensitive line segment object defined by the owner OwnerId, the 2D starting and ending points FirstPoint and LastPoint and the maximum number of sensitive bounding boxes MaxRect. The parameters can be modified using the functions provided. .
Standard_EXPORT void | Set (const Standard_Integer MaxRect)
| Sets the maximum number of 2D sensitive bounding boxes - MaxRect. .
void | StartPoint (const gp_Pnt2d &aPt)
| changes the start Point of the Segment;
void | EndPoint (const gp_Pnt2d &aPt)
| changes the end point of the segment
const gp_Pnt2d & | StartPoint () const
| gives the 3D start Point of the Segment
const gp_Pnt2d & | EndPoint () const
| Returnes the 3D start Point of the Segment .
Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &aSeq)
| to be implemented specifically by each type of sensitive primitive .
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| returns True if the object is very close to the sensitive areas it gave to the selector... returns the minimum distance found if no match; to be implemented specifically by each type of sensitive primitive .
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)
| returns True if the box (Xmin,YMin)------(Xmax,Ymax) contains the SensitiveEntity. Necessary for selection using elastic boxes,or segments.
Standard_Integer | MaxBoxes () const
| Returns the max number of sensitive aeas describing the sensitive segment .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | mymaxrect
gp_Pnt2d | mystart
gp_Pnt2d | myend

## Constructor & Destructor Documentation

Standard_EXPORT Select2D_SensitiveSegment::Select2D_SensitiveSegment | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const gp_Pnt2d & | FirstP,
|  | const gp_Pnt2d & | LastP,
|  | const Standard_Integer | MaxRect = `3`
| ) |

## Member Function Documentation

Standard_EXPORT void Select2D_SensitiveSegment::Areas | ( | SelectBasics_ListOfBox2d & | aSeq | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

const gp_Pnt2d & Select2D_SensitiveSegment::EndPoint | ( |  | ) | const`[inline]`

void Select2D_SensitiveSegment::EndPoint | ( | const gp_Pnt2d & | aPt | ) | `[inline]`

Standard_EXPORT const Select2D_SensitiveSegment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select2D_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select2D_SensitiveSegment::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select2D_SensitiveSegment::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_Integer Select2D_SensitiveSegment::MaxBoxes | ( |  | ) | const`[inline, virtual]`

| Reimplemented from Select2D_SensitiveEntity.

void Select2D_SensitiveSegment::Set | ( | const Standard_Integer | MaxRect | ) | `[inline]`

const gp_Pnt2d & Select2D_SensitiveSegment::StartPoint | ( |  | ) | const`[inline]`

void Select2D_SensitiveSegment::StartPoint | ( | const gp_Pnt2d & | aPt | ) | `[inline]`

## Field Documentation

gp_Pnt2d Select2D_SensitiveSegment::myend `[private]`

Standard_Integer Select2D_SensitiveSegment::mymaxrect `[private]`

gp_Pnt2d Select2D_SensitiveSegment::mystart `[private]`

The documentation for this class was generated from the following files:

- Select2D_SensitiveSegment.hxx
- Select2D_SensitiveSegment.lxx